Name:           iyfct
Version:        1.02
Release:        %mkrel 8
Summary:        In Your Face City Trains: coffee-break runner game
Group:          Games/Arcade
License:        GPLv3+ and CC-BY 3.0
URL:            https://simonlarsen.github.io/2011/05/29/in-your-face-city-trains.html
Source0:        https://github.com/SimonLarsen/iyfct/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:        iyfct-48.png
Patch0:         iyfct-1.02-mga-Support-fkeys-and-numpad-for-scaling.patch
Patch1:         0001-Fixed-API-changes-for-love-0.10.x.patch
Patch2:         0002-Add-support-for-scales-5-and-6.patch

BuildArch:      noarch
BuildRequires:  zip
Requires:       love0.10

%description
The goal of the game is to survive as long as you can. Jump over trains with
closed doors and try (as much as possible) to run through trains with open
doors to avoid birds and tunnels. Some open trains will give you coffee.
When your coffee-meter is full, you have one extra life.

%files
%doc LICENSE README.textile
%{_datadir}/applications/%{name}.desktop
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/%{name}.love
%{_iconsdir}/hicolor/48x48/apps/%{name}.png

#----------------------------------------------------------------------------

%prep
%autosetup -p1
mv LICENCE LICENSE

%build
# Create .love archive
zip -9 -q -r %{name}.love .

# Launcher script
cat << EOF > %{name}.sh
#!/bin/sh
love0.10 %{_gamesdatadir}/%{name}/%{name}.love
EOF

# Desktop entry
cat > %{name}.desktop << EOF
[Desktop Entry]
Name=In Your Face City Trains
GenericName=Runner game
Comment=Survive as long as you can on a frenetic city railway
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;
EOF

%install
install -D -m644 %{name}.love %{buildroot}%{_gamesdatadir}/%{name}/%{name}.love
install -D -m755 %{name}.sh %{buildroot}%{_gamesbindir}/%{name}
install -D -m644 %{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop
install -D -m644 %{_sourcedir}/%{name}-48.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.02-8.mga10
+ Revision: 2207262
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 1.02-7.mga9
+ Revision: 1814732
- Mageia 9 Mass Rebuild

* Tue Jul 06 2021 akien <akien> 1.02-6.mga9
+ Revision: 1734986
- Require love0.10 compatibility package (mga#25716)

* Wed Feb 12 2020 umeabot <umeabot> 1.02-5.mga8
+ Revision: 1491722
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1.02-4.mga7
+ Revision: 1263832
- Mageia 7 Mass Rebuild

* Sat Apr 16 2016 akien <akien> 1.02-3.mga6
+ Revision: 1002999
- Fix API changes for love 0.10
- Add support for upscaling 5x and 6x

* Tue Feb 09 2016 umeabot <umeabot> 1.02-2.mga6
+ Revision: 951877
- Mageia 6 Mass Rebuild

* Thu Jan 08 2015 akien <akien> 1.02-1.mga5
+ Revision: 809341
- imported package iyfct

